# Class IDEActionFactory

java.lang.Object
org.eclipse.ui.ide.IDEActionFactory

public final class IDEActionFactory extends Object
Access to standard actions provided by the IDE workbench (including those of the generic workbench).

The functionality of this class is provided by static fields. Example usage:

    MenuManager menu = ...;
    ActionFactory.IWorkbenchAction closeProjectAction = IDEActionFactory.CLOSE_PROJECT.create(window);
    menu.add(closeProjectAction);

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ActionFactory`
`ADD_TASK`
IDE-specific workbench action (id: "addTask", commandId: "org.eclipse.ui.edit.addTask"): Add task.
`static final ActionFactory`
`BOOKMARK`
IDE-specific workbench action (id: "bookmark", commandId: "org.eclipse.ui.edit.addBookmark"): Add bookmark.
`static final ActionFactory`
`BUILD`
IDE-specific workbench action (id: "build", commandId: "org.eclipse.ui.project.buildAll"): Incremental build.
`static final ActionFactory`
`BUILD_AUTOMATICALLY`
IDE-specific workbench action (id: "buildAutomatically"): Build automatically.
`static final ActionFactory`
`BUILD_CLEAN`
IDE-specific workbench action (id: "buildClean"): Build clean.
`static final ActionFactory`
`BUILD_PROJECT`
IDE-specific workbench action (id: "buildProject", commandId: "org.eclipse.ui.project.buildProject"): Incremental build.
`static final ActionFactory`
`CLOSE_PROJECT`
IDE-specific workbench action (id: "closeProject", commandId: "org.eclipse.ui.project.closeProject"): Close project.
`static final ActionFactory`
`CLOSE_UNRELATED_PROJECTS`
IDE-specific workbench action (id: "closeUnrelatedProjects", commandId: "org.eclipse.ui.project.closeUnrelatedProjects"): Close unrelated projects.
`static final ActionFactory`
`NEW_WIZARD_DROP_DOWN`
IDE-specific workbench action (id: "newWizardDropDown"): Opens the "new" wizard drop down, including resource-specific items for Project... and Example...
`static final ActionFactory`
`OPEN_PROJECT`
IDE-specific workbench action (id: "openProject", commandId: "org.eclipse.ui.project.openProject"): Open project.
`static final ActionFactory`
`OPEN_PROJECT_PROPERTIES`
IDE-specific workbench action (id: "projectProperties"): Open project properties.
`static final ActionFactory`
`OPEN_WORKSPACE`
IDE-specific workbench action (id: "openWorkspace"): Open workspace.
`static final ActionFactory`
`QUICK_START`
Deprecated.
the IDE now uses the new intro mechanism
`static final ActionFactory`
`REBUILD_ALL`
Deprecated.
as of 3.0, this action no longer appears in the UI (was deprecated in 3.1)
`static final ActionFactory`
`REBUILD_PROJECT`
Deprecated.
as of 3.0, this action no longer appears in the UI (was deprecated in 3.1)
`static final ActionFactory`
`TIPS_AND_TRICKS`
IDE-specific workbench action (id: "tipsAndTricks", commandId: "org.eclipse.ui.help.tipsAndTricksAction"): Tips and tricks.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ADD_TASK

public static final ActionFactory ADD_TASK
IDE-specific workbench action (id: "addTask", commandId: "org.eclipse.ui.edit.addTask"): Add task. This action is a `RetargetAction`. This action maintains its enablement state.

### BOOKMARK

public static final ActionFactory BOOKMARK
IDE-specific workbench action (id: "bookmark", commandId: "org.eclipse.ui.edit.addBookmark"): Add bookmark. This action is a `RetargetAction`. This action maintains its enablement state.

### BUILD

public static final ActionFactory BUILD
IDE-specific workbench action (id: "build", commandId: "org.eclipse.ui.project.buildAll"): Incremental build. This action maintains its enablement state.

### BUILD_CLEAN

public static final ActionFactory BUILD_CLEAN
IDE-specific workbench action (id: "buildClean"): Build clean. This action maintains its enablement state.

Since:
  3.0

### BUILD_AUTOMATICALLY

public static final ActionFactory BUILD_AUTOMATICALLY
IDE-specific workbench action (id: "buildAutomatically"): Build automatically. This action maintains its enablement state.

Since:
  3.0

### BUILD_PROJECT

public static final ActionFactory BUILD_PROJECT
IDE-specific workbench action (id: "buildProject", commandId: "org.eclipse.ui.project.buildProject"): Incremental build. This action is a `RetargetAction`. This action maintains its enablement state.

### CLOSE_PROJECT

public static final ActionFactory CLOSE_PROJECT
IDE-specific workbench action (id: "closeProject", commandId: "org.eclipse.ui.project.closeProject"): Close project. This action is a `RetargetAction`. This action maintains its enablement state.

### CLOSE_UNRELATED_PROJECTS

public static final ActionFactory CLOSE_UNRELATED_PROJECTS
IDE-specific workbench action (id: "closeUnrelatedProjects", commandId: "org.eclipse.ui.project.closeUnrelatedProjects"): Close unrelated projects.

This action closes all projects that are unrelated to the selected projects. A project is unrelated if it is not directly or transitively referenced by one of the selected projects, and does not directly or transitively reference one of the selected projects.

This action is a `RetargetAction` with id "closeUnrelatedProjects". This action maintains its enablement state.

Since:
  3.2
See Also:
  - `IProject.getReferencedProjects()`
  - `IProject.getReferencingProjects()`
  - `IProject.close(org.eclipse.core.runtime.IProgressMonitor)`

### NEW_WIZARD_DROP_DOWN

public static final ActionFactory NEW_WIZARD_DROP_DOWN
IDE-specific workbench action (id: "newWizardDropDown"): Opens the "new" wizard drop down, including resource-specific items for Project... and Example... This action maintains its enablement state.

### OPEN_PROJECT

public static final ActionFactory OPEN_PROJECT
IDE-specific workbench action (id: "openProject", commandId: "org.eclipse.ui.project.openProject"): Open project. This action is a `RetargetAction`. This action maintains its enablement state.

### OPEN_WORKSPACE

public static final ActionFactory OPEN_WORKSPACE
IDE-specific workbench action (id: "openWorkspace"): Open workspace. This action maintains its enablement state.

### OPEN_PROJECT_PROPERTIES

public static final ActionFactory OPEN_PROJECT_PROPERTIES
IDE-specific workbench action (id: "projectProperties"): Open project properties. This action maintains its enablement state.

### QUICK_START

@Deprecated public static final ActionFactory QUICK_START
Deprecated.
the IDE now uses the new intro mechanism
IDE-specific workbench action (id: "quickStart"): Quick start. This action maintains its enablement state.

### REBUILD_ALL

@Deprecated public static final ActionFactory REBUILD_ALL
Deprecated.
as of 3.0, this action no longer appears in the UI (was deprecated in 3.1)
IDE-specific workbench action (id: "rebuildAll"): Full build. This action maintains its enablement state.

### REBUILD_PROJECT

@Deprecated public static final ActionFactory REBUILD_PROJECT
Deprecated.
as of 3.0, this action no longer appears in the UI (was deprecated in 3.1)
IDE-specific workbench action (id: "rebuildProject"): Rebuild project. This action is a `RetargetAction` with id "rebuildProject". This action maintains its enablement state.

### TIPS_AND_TRICKS

public static final ActionFactory TIPS_AND_TRICKS
IDE-specific workbench action (id: "tipsAndTricks", commandId: "org.eclipse.ui.help.tipsAndTricksAction"): Tips and tricks. This action maintains its enablement state.